
<script>


import { RouterLink, RouterView } from 'vue-router'


export default {
	inject: ['vibes_store'],
	components: {
		RouterLink
	},
	data () {
		return {
			vibe_name: '',
			linkStyles: {
				padding: '10px',
				border: '2px solid white',
				color: 'white',
				
				borderRadius: '6px',
				// textDecoration: 'underline',
				
				margin: '10px',
				
				background: 'linear-gradient(40deg, #00000042, #ffff0024)',
				transition: 'opacity .2s'
			}
		}
	},
	created () {
		this.vibes_store_monitor = this.vibes_store.monitor (({ inaugural, field }) => {
			const warehouse = this.vibes_store.warehouse ()

			console.log ('monitor function', { inaugural, field, warehouse })
			
			try {
				this.vibe_name = warehouse.vibe.name;
			}
			catch (exception) {
				
			}
		})
	},
	beforeUnmount () {
		this.vibes_store_monitor.stop ()
	}
}

</script>

<style lang="scss" scoped>

.router-link-active {
	opacity: .4;
	
}

</style>

<template>
	<nav
		:style="{
			display: 'flex',
			justifyContent: 'space-between',
			alignItems: 'center',
			
			padding: '20px'
		}"
	>
		<div
			:style="{
				width: '100%',
				
				display: 'flex',
				justifyContent: 'space-between',
				alignItems: 'center'
			}"
		>
			<div>
				<RouterLink to="/" :style="linkStyles">instrument</RouterLink>	
				<RouterLink to="/vibes" :style="linkStyles">vibes</RouterLink>
				<RouterLink to="/perform" :style="linkStyles">perform</RouterLink>
				<RouterLink to="/feel" :style="linkStyles">feel</RouterLink>
			</div>

			<div>
				<RouterLink to="/royalty" :style="linkStyles">royalty</RouterLink>
				<RouterLink to="/moves" :style="linkStyles">moves</RouterLink>
				<RouterLink to="/subconscious" :style="linkStyles">subconscious</RouterLink>
			</div>
		</div>
		<div>
			{{ vibe_name }}
		</div>
	</nav>
</template>